package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsMaterialGroup;

/**
 * 素材分组Service接口
 * 
 * @author fs
 * @date 2023-07-06
 */
public interface IFsMaterialGroupService 
{
    /**
     * 查询素材分组
     * 
     * @param groupId 素材分组主键
     * @return 素材分组
     */
    public FsMaterialGroup selectFsMaterialGroupByGroupId(Long groupId);

    /**
     * 查询素材分组列表
     * 
     * @param fsMaterialGroup 素材分组
     * @return 素材分组集合
     */
    public List<FsMaterialGroup> selectFsMaterialGroupList(FsMaterialGroup fsMaterialGroup);

    /**
     * 新增素材分组
     * 
     * @param fsMaterialGroup 素材分组
     * @return 结果
     */
    public int insertFsMaterialGroup(FsMaterialGroup fsMaterialGroup);

    /**
     * 修改素材分组
     * 
     * @param fsMaterialGroup 素材分组
     * @return 结果
     */
    public int updateFsMaterialGroup(FsMaterialGroup fsMaterialGroup);

    /**
     * 批量删除素材分组
     * 
     * @param groupIds 需要删除的素材分组主键集合
     * @return 结果
     */
    public int deleteFsMaterialGroupByGroupIds(Long[] groupIds);

    /**
     * 删除素材分组信息
     * 
     * @param groupId 素材分组主键
     * @return 结果
     */
    public int deleteFsMaterialGroupByGroupId(Long groupId);
}
